Bug 481759 - Review Request: python-AppTools - Enthought Tool Suite Application Tools
Review Request: python-AppTools - Enthought Tool Suite Application Tools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On: 481701 481725 481738
Blocks: 481727 482216
  Show dependency treegraph
 
Reported: 2009-01-27 09:19 EST by Rakesh Pandit
Modified: 2013-05-14 16:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.2.0-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 00:03:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2009-01-27 09:19:23 EST
Description of problem:

The AppTools project includes a set of packages that Enthought has
found useful in creating a number of applications. They implement
functionality that is commonly needed by many applications

    * enthought.appscripting: Framework for scripting applications.

    * enthought.help: Provides a plugin for displaying documents and
      examples and running demos in Envisage Workbench applications.

    * enthought.io: Provides an abstraction for files and folders in a
      file system.

    * enthought.naming: Manages naming contexts, supporting non-string
      data types and scoped preferences

    * enthought.permissions: Supports limiting access to parts of an
      application unless the user is appropriately authorised (not
      full-blown security).

and many more.

SPEC: http://rakesh.fedorapeople.org/spec/python-AppTools.spec
SRPM: http://rakesh.fedorapeople.org/srpm/python-AppTools-3.1.0-1.fc10.src.rpm
Comment 1 Jochen Schmitt 2009-01-28 11:46:46 EST
Good:
+ Basename of SPEC file matches with package name
+ Name of the package fits naming guidelines for python addon packages
+ Consistently usage of rpm macros
+ Could download upstream tarball with spectool
+ Package contains most recent release of the software
+ Tar ball in the package matches with upstream
(md5sum: e67d9b40a9f88f62246a8248faede6c5)
+ Package contains proper License tag
+ License tag claims BSD and LGPLv2+ as valid OSS licenses
+ Package contains a verbatin copy of the license text
+ %doc stanza is small, so we not need a separate doc subpackage
+ Buildroot definition seems ok
+ Local install/uninstall works fine
+ Packaged files have proper files permissions
+ Packaged files are owned by the package
+ Packaged files doesn't own by other packages
+ Build on koji without python-setupdocs fails, because
package try to download it from the internet
+ Package contains no subpackages
+ Locel build works fine
+ Rpmlint is silient for source and binary rpms.
+ Buildroot will be cleaned on the beginning of %clean and %install
+ Package contains proper %changelog

Questions:
* Does it may sense to pacakge the %{python_sitelib}/integrationtest directory?
I assume it's only require for testing the built package, so we should remove
this directory from the package.

Bad:
- Cant find python-setupdocs in the Fedora repository
- Please remove the AppTools.egg-info directory from the sources
in the %setup stanza to make sure, that the err-info files are built
from sources

TODO:
- Not all source files have a proper copyright note
  (Please notify the upstream maintainer to fix this issue in the next release)
- A refview shows, that mostly all files which have a copyrith note
are licensed under the terms of the BSD license. So why there are references
agains the LGPLv2+?
Comment 2 Jochen Schmitt 2009-01-28 12:26:16 EST
Unfortunately, I have not seen, that you have a review request for the python-setupdocs package.

So I have built it self on the base of the source rpm provided by your review request.

After then I have create an local yum repository in which I have put python-setupdocs.

Now, when I try to doa mock build agains rawhide (x86_64) and including my local yum repository, the build works fine.

I want to suggest, that you are notify me, if the python-setupdocs package is available on koji, so we can do another tryp to build your package on koji
Comment 3 Rakesh Pandit 2009-01-29 04:43:23 EST
Questions:
* Does it may sense to pacakge the %{python_sitelib}/integrationtest directory?
I assume it's only require for testing the built package, so we should remove
this directory from the package.

Yeo .. will remove.

Bad:
- Cant find python-setupdocs in the Fedora repository

Yeah in addition to adding as depends tag I should have mentioned in comments.

- Please remove the AppTools.egg-info directory from the sources
in the %setup stanza to make sure, that the err-info files are built
from sources

From build log of python-setupdocs it looked like even if I don't remove this folder setuptools takes care of recreating it. Will very even before importing python-setupdocs and do the fix accordingly. May you also check in meantime? :)

TODO:
- Not all source files have a proper copyright note
  (Please notify the upstream maintainer to fix this issue in the next release)

Yeah I have been in constant touch with upstream and this would be fixed in next release for sure. They have already started doing the process.

- A refview shows, that mostly all files which have a copyrith note
are licensed under the terms of the BSD license. So why there are references
agains the LGPLv2+?

Actually few images are in LGPLv2+ -- confirmed from upstream. image_ LICENSE.txt has details.

Once python-setupdocs is done and build available will update.
Comment 4 Rakesh Pandit 2009-02-02 10:07:21 EST
Hello,  Jochen python-setuptools is available now:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1099197
Comment 5 Jochen Schmitt 2009-02-02 12:06:53 EST
Good:
+ Koji build works fine.
+ Local build works fine.
+ Local install works fine.
+ Local uninstall works fine.

Bad:
- Rpmlint complaints on binary package
$ rpmlint python-AppTools-3.1.0-1.fc10.noarch.rpm
python-AppTools.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.5/site-packages/enthought/help/attic/BSSCDefault.h
python-AppTools.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.5/site-packages/enthought/help/attic/EnLibHelp.h
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
- this is not a blocker in my view
- I have found a docs/html.zip file. it may be nice, if you may unzip it and install it in the %doc stanza
- The same you should do for the examples directory.
- During a simple test I will get the following error messages:
$ python examples/appscripting/example.py
Traceback (most recent call last):
  File "examples/appscripting/example.py", line 20, in <module>
    from enthought.pyface.api import GUI, YES
ImportError: No module named pyface.api
Comment 6 Rakesh Pandit 2009-03-06 05:48:49 EST
Will fix it now. Sorry for delay was out on holidays.
Comment 7 Rakesh Pandit 2009-03-07 02:42:26 EST
$ python examples/appscripting/example.py
Traceback (most recent call last):
  File "examples/appscripting/example.py", line 20, in <module>
    from enthought.pyface.api import GUI, YES
ImportError: No module named pyface.api  

I did a good look and found examples written are not correct. Correct in the sense that python-Apptools don't require python-TraitsGUI and python-EnthoughtBase as dependencies to run .. but examples have been written while using them.

I will add Requires as python-TriatsGUI and python-EnthoughtBase .. but there reviewer are yet to complete:

https://bugzilla.redhat.com/show_bug.cgi?id=481701
https://bugzilla.redhat.com/show_bug.cgi?id=481738

You may check via using there rpms at:
http://rakesh.fedorapeople.org/misc/python-EnthoughtBase-3.0.1-1.fc10.noarch.rpm
http://rakesh.fedorapeople.org/misc/python-TraitsGUI-3.0.3-2.fc10.noarch.rpm

SPEC: http://rakesh.fedorapeople.org/spec/python-AppTools.spec
SRPM: http://rakesh.fedorapeople.org/srpm/python-AppTools-3.1.0-2.fc10.src.rpm
Comment 8 Jochen Schmitt 2009-03-08 15:53:47 EDT
Soory, but when I try to install python-TraitsGUI I will get an error message about a missing package with the name python-TraitsGUIBackendQt.
Comment 9 Rakesh Pandit 2009-03-09 02:28:09 EDT
My fault.

Forgot to mention this one:
https://bugzilla.redhat.com/show_bug.cgi?id=481695

http://rakesh.fedorapeople.org/misc/python-TraitsBackendQt-3.0.3-3.fc10.noarch.rpm

If you have anything else required, please ping again, I am around.
Comment 10 Jochen Schmitt 2009-03-10 12:52:52 EDT
1.) You doesn't remove the egg-infos from the source directory

2.) When I try to run an example I got:

python example.py
Traceback (most recent call last):
  File "example.py", line 20, in <module>
    from enthought.pyface.api import GUI, YES
  File "/usr/lib/python2.5/site-packages/enthought/pyface/api.py", line 27, in <module>
    from key_pressed_event import KeyPressedEvent
  File "/usr/lib/python2.5/site-packages/enthought/pyface/key_pressed_event.py", line 5, in <module>
    from enthought.traits.api import Bool, HasTraits, Int, Any
ImportError: No module named api
Comment 11 Jochen Schmitt 2009-04-23 13:31:40 EDT
Ping rpandit
Comment 12 Rakesh Pandit 2009-05-02 09:32:11 EDT
I solved this a bit and got stuck in here (reported upstream and waiting for response):

https://mail.enthought.com/pipermail/enthought-dev/2009-May/021335.html

Sorry for late response. :(
Comment 13 Rakesh Pandit 2009-05-02 10:09:59 EDT
https://mail.enthought.com/pipermail/enthought-dev/2009-May/021340.html

You may ignore this test also. I had a chat with one of developers and he confirmed .. currents tests and examples need some love.
Comment 14 Jochen Schmitt 2009-05-03 15:10:52 EDT
It may be nice, if you can tell the upstream authors, that this is important to get a minimum of QA insurance, to make sure, that the package works well on all of our supoorted plattforms.

Even if you can build an application for a specific plattform, you doesn't have the warrenty, that the application will run on this specific plattform.
Comment 15 Rakesh Pandit 2009-05-04 01:10:45 EDT
Yeah very much. I just confirmed that debian packages also had same issues.

I had a chit chat with upstream and confirmed will be working on these issues in future releases.
Comment 16 Rakesh Pandit 2009-05-24 05:34:16 EDT
ping ?:)
Comment 17 Rakesh Pandit 2009-05-24 05:42:38 EDT
Actually .. it has been long time for Mayavi stack in review .... it is very import for Educational purposes for Engg Mechanical guys.
Comment 18 Jochen Schmitt 2009-06-03 13:28:15 EDT
OK, please add a README.Fedora file which ecplains the issue on the package.
Comment 20 Jochen Schmitt 2009-06-04 12:51:24 EDT
If may be nice, if you can changed the %define into %global if possible. But because this is a minor topic, I can APPRVE your package.
Comment 21 Rakesh Pandit 2009-06-04 22:27:02 EDT
Thanks :) Will change before importing.

New Package CVS Request
=======================
Package Name: python-Apptools
Short Description: Enthough Tool Suite Application Tools
Owners: rakesh
Branches: F-9 F-10 F-11
InitialCC:
Comment 22 Jason Tibbitts 2009-06-05 17:43:25 EDT
CVS done.
Comment 23 Rakesh Pandit 2009-06-08 00:44:55 EDT
In my last request I made a mistake of wrong package name. :(

Here is a new request:

New Package CVS Request
=======================
Package Name: python-AppTools
Short Description: Enthought Tool Suite Application Tools
Owners: rakesh
Branches: F-9 F-10 F-11
InitialCC:
Comment 24 Toshio Ernie Kuratomi 2009-06-08 11:23:23 EDT
cvs done.
Comment 25 Jason Tibbitts 2009-06-08 12:43:31 EDT
Just setting the fedora-cvs flag.
Comment 26 Fedora Update System 2009-06-09 00:01:16 EDT
python-AppTools-3.1.0-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-AppTools-3.1.0-4.fc9
Comment 27 Fedora Update System 2009-06-09 00:01:59 EDT
python-AppTools-3.1.0-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-AppTools-3.1.0-4.fc10
Comment 28 Fedora Update System 2009-06-09 00:02:36 EDT
python-AppTools-3.1.0-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-AppTools-3.1.0-4.fc11
Comment 29 Fedora Update System 2009-07-03 15:35:01 EDT
python-AppTools-3.2.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2009-07-03 15:47:57 EDT
python-AppTools-3.2.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2009-07-03 15:54:44 EDT
python-AppTools-3.2.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Orion Poplawski 2013-05-14 15:46:17 EDT
Package Change Request
======================
Package Name: python-AppTools
New Branches: el6
Owners: orion
InitialCC:
Comment 33 Gwyn Ciesla 2013-05-14 16:04:04 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.